### Method

# Meta Window stage_to_protocol_rect

#### Declaration [src]

    void
    meta_window_stage_to_protocol_rect (
      MetaWindow* window,
      const MtkRectangle* stage_rect,
      MtkRectangle* protocol_rect
    )

#### Description [src]

Transform the coordinates from stage coordinates to protocol coordinates.

#### Parameters

`stage_rect`

  Type: `MtkRectangle`

  X `MtkRectangle` in stage coordinate space.

  The data is owned by the caller of the method.

`protocol_rect`

  Type: `MtkRectangle`

  X `MtkRectangle` in protocol coordinate space.

  The argument will be set by the function.
  The returned data is owned by the instance.